| stssearch

## Function

Searches a DNA database for matches with a set of STS primers

## Description

stssearch searches a DNA sequence database with a set of STS primers and reports expected matches.

stssearchs reads in one or more sequences to be searched. For each pair of primers, it looks for matches between a the primers and the query sequence in either orientation.

Any matches found will be reported. Only one primer need match for it to be reported..

## Usage

Here is a sample session with stssearch

    % stssearch
    Searches a DNA database for matches with a set of STS primers
    Input sequence(s): tembl:eclac*
    Primer file: lac.primers
    Output file [eclac.stssearch]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-seqall]            seqall     Sequence database USA
      [-primersfile]       infile     Primer file
      [-outfile]           outfile    Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-seqall" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outfile" associated qualifiers
       -odirectory3         string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-seqall] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-primersfile] (Parameter 2) | Primer file | Input file | Required
[-outfile] (Parameter 3) | Output file name | Output file | <sequence>.stssearch
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

### Input files for usage example

'tembl:eclac*' is a sequence entry in the example nucleic acid database 'tembl'

### File: lac.primers

    PrimA ACCAGACACCCATCAACAG    TATTTATGCCAGCCAGCCAG
    PrimB CGAAAGAATAAGAGCAGGCAAG GTAAGAGAAATAGACAGGCGG
    PrimC CGTCAGTATCCCCGTTTACAG  TATCGCCAAAATCACCGCC
    PrimD AATACGCAAACCGCCTCTCC   TTATCCGCTCACAATTCCACAC
    PrimE AATACGCAAACCGCCTCTCC   CACAACCCGCTCACAATTCCA

The primers file consists of three columns separated by tabs or spaces.

The first column is the name of the primer pair.
The second column is the sequence of the first primer.
The third column is the sequence of the second primer.

## Output file format

### Output files for usage example

### File: eclac.stssearch

    ECLAC: PrimA PrimerA matched at 532
    ECLAC: (rev) PrimA PrimerB matched at 689
    ECLAC: PrimB PrimerA matched at 5743
    ECLAC: (rev) PrimB PrimerB matched at 5942
    ECLAC: PrimC PrimerA matched at 2954
    ECLAC: (rev) PrimC PrimerB matched at 3069
    ECLAC: PrimD PrimerA matched at 1074
    ECLAC: (rev) PrimD PrimerB matched at 1261
    ECLAC: PrimE PrimerA matched at 1074
    ECLACA: PrimB PrimerA matched at 98
    ECLACA: (rev) PrimB PrimerB matched at 297
    ECLACI: PrimA PrimerA matched at 484
    ECLACI: (rev) PrimA PrimerB matched at 641
    ECLACI: PrimD PrimerA matched at 1026
    ECLACI: PrimE PrimerA matched at 1026
    ECLACY: PrimB PrimerA matched at 1439
    ECLACZ: PrimC PrimerA matched at 1668
    ECLACZ: (rev) PrimC PrimerB matched at 1783

The output file consists of one line per match. This consists of:

- The name of the sequence that the match is found in, followed by a ':'.
- If the match is in the reverse sense, it has a '(rev)'.
- The name of the primer pair.
- 'PrimerA' or 'PrimerB'.
- 'matched at' the start of the match position.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

None.

## Known bugs

None.

## See also

Program name | Description
--- | ---
eprimer3 | Picks PCR primers and hybridization oligos
primersearch | Searches DNA sequences for matches with primer pairs

If you want something that only reports matches of both primer pairs and can find mismatches, use primersearch.

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None